import { createForm } from "@felte/solid";
import { Component } from "solid-js";

interface Props {}

const Invitation: Component<Props> = (props) => {
  const submitHandler = (values: any, context: any) => {
    console.log({
      caller: "Invitation / submitHandler",
      props,
      values,
      context,
    });
  };

  const { form } = createForm({ onSubmit: submitHandler });

  return (
    <form use:form>
      <label for="database">Database</label>
      <input type="url" name="database" required={true} />
    </form>
  );
};

export default Invitation;
